namespace PkmnLibSharp.Battling.ChoiceTurn
{
    public class FleeTurnChoice : BaseTurnChoice
    {
        public FleeTurnChoice(Pokemon user) : base(Creaturelib.Generated.FleeTurnChoice.Construct(user.Ptr))
        {
        }

        protected override void DeletePtr()
        {
            Creaturelib.Generated.FleeTurnChoice.Destruct(Ptr);
        }
    }
}